<mat-card>
  <mat-card-header>
    <mat-card-title>Confirm Account</mat-card-title>
    <mat-card-subtitle>
      Please enter your activation code
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <mat-form-field appearance="fill">
      <mat-label>Enter your password</mat-label>
      <input matInput [type]="hide ? 'password' : 'text'" />
      <button
        mat-icon-button
        matSuffix
        (click)="hide = !hide"
        [attr.aria-label]="'Hide password'"
        [attr.aria-pressed]="hide"
      >
        <mat-icon>{{ hide ? "visibility_off" : "visibility" }}</mat-icon>
      </button>
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>Confirmation code</mat-label>
      <input matInput placeholder="00000000" required />
      <mat-icon matSuffix>vpn_key</mat-icon>
    </mat-form-field>
  </mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="primary">Login</button>
  </mat-card-actions>
</mat-card>
